﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPFusingVisualAPL
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            myVAPLClass1 = new VAPLMeanCalcs.Class1();
        }
        private VAPLMeanCalcs.Class1 myVAPLClass1;
        private void bnCalculate_Click(object sender, RoutedEventArgs e)
        {
            this.IsEnabled = false;
            string input = txtbxInput.Text;
            if (String.IsNullOrEmpty(input))
            {
                MessageBox.Show("No numbers have been entered!", "Input Error", MessageBoxButton.OK, MessageBoxImage.Error);
            }
            else if (!myVAPLClass1.StringAllNumeric(input))
            {
                MessageBox.Show("Input values are not all numeric!", "Input Error", MessageBoxButton.OK, MessageBoxImage.Error);
            }
            else
            {
                double[] data = myVAPLClass1.StringToNumerics(input);
                txtblkArithmeticMean.Text = myVAPLClass1.ArithmeticMean(data).ToString();
                txtblkGeometricMean.Text = myVAPLClass1.GeometricMean(data).ToString();
                txtblkMode.Text = myVAPLClass1.NumericsToString(myVAPLClass1.Mode(data));
                txtblkQuadraticMean.Text = myVAPLClass1.RmsMean(data).ToString();
                txtblkMidRange.Text = myVAPLClass1.MidRange(data).ToString();
                txtblkUniqueVals.Text = myVAPLClass1.NumericsToString(myVAPLClass1.Unique(data));
                txtblkMedian.Text = myVAPLClass1.Median(data).ToString();
                txtblkSortIncr.Text = myVAPLClass1.NumericsToString(myVAPLClass1.SortIncr(data));
                txtblkSortDecr.Text = myVAPLClass1.NumericsToString(myVAPLClass1.SortDecr(data));
                txtblkMaxVal.Text = myVAPLClass1.MaxVal(data).ToString();
                txtblkMinVal.Text = myVAPLClass1.MinVal(data).ToString();
            }
            this.IsEnabled = true;
        }
    }
}
